Subject: Offline Message from Abrar: Nooooo one is answering Veryyyyyy bad customer s
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Wed, 17 Jun 2020 07:26:27 -0000

From: Abrar <[email-masked]>
Phone: 
Location: Al Qatif, Saudi Arabia
URL: https://saudi.mumzworld.com/sa-ar/contact-us
Department: 

Nooooo one is answering 
Veryyyyyy bad customer services 
Am calling from Saudi as international call and no one answers any thing not emails not massaging or phone 
This is the worst customer services ever 
Where is my order 
I am missing the biggest item in my order which is the lol baby doll house that can’t be missed 
I tried to contact the delivery man he said he didn’t have any information about it 
And I’ve sent 2 emails already 
Very bad service for my first time to order from you order no 200298460

----
Zopim
https://www.zopim.com